Get virtual account deposit
curl --request GET \
--url https://api.daya.co/v1/virtual-account-deposits/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/virtual-account-deposits/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/virtual-account-deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daya.co/v1/virtual-account-deposits/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.daya.co/v1/virtual-account-deposits/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.daya.co/v1/virtual-account-deposits/{id}")
.header("X-Api-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daya.co/v1/virtual-account-deposits/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"id": "9c4e8400-e29b-41d4-a716-446655440000",
"type": "USD_DEPOSIT",
"va_deposit_id": "9c4e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "1175.00",
"currency": "USD",
"settled_amount": "1172.65",
"settled_currency": "USD",
"source_amount": "1000.00",
"source_currency": "EUR",
"fx_rate": "1.175",
"payment_rail": "sepa",
"sender": {
"name": "Jane Doe",
"account_number": "****13000",
"bank_name": "Example Bank"
},
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"fees": {
"deposit_fee": { "amount": "2.35", "currency": "USD" },
"total_fee_usd": "2.35"
},
"developer_fee": {
"percentage": "1.5",
"amount": "17.58975",
"currency": "USD"
},
"customer_amount": {
"amount": "1155.06025",
"currency": "USD"
},
"created_at": "2026-01-14T17:00:00Z",
"updated_at": "2026-01-14T17:01:30Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "Deposit not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
Virtual Account Deposits
Get virtual account deposit
Retrieve a USD- or EUR-funded virtual account deposit
GET
/
v1
/
virtual-account-deposits
/
{id}
Get virtual account deposit
curl --request GET \
--url https://api.daya.co/v1/virtual-account-deposits/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/virtual-account-deposits/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/virtual-account-deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daya.co/v1/virtual-account-deposits/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.daya.co/v1/virtual-account-deposits/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.daya.co/v1/virtual-account-deposits/{id}")
.header("X-Api-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daya.co/v1/virtual-account-deposits/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"id": "9c4e8400-e29b-41d4-a716-446655440000",
"type": "USD_DEPOSIT",
"va_deposit_id": "9c4e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "1175.00",
"currency": "USD",
"settled_amount": "1172.65",
"settled_currency": "USD",
"source_amount": "1000.00",
"source_currency": "EUR",
"fx_rate": "1.175",
"payment_rail": "sepa",
"sender": {
"name": "Jane Doe",
"account_number": "****13000",
"bank_name": "Example Bank"
},
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"fees": {
"deposit_fee": { "amount": "2.35", "currency": "USD" },
"total_fee_usd": "2.35"
},
"developer_fee": {
"percentage": "1.5",
"amount": "17.58975",
"currency": "USD"
},
"customer_amount": {
"amount": "1155.06025",
"currency": "USD"
},
"created_at": "2026-01-14T17:00:00Z",
"updated_at": "2026-01-14T17:01:30Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "Deposit not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
Overview
Retrieve one deposit received through a USD or EUR virtual account. All virtual account deposits settle in USD. EUR-funded deposits also include the original EUR amount and applied exchange rate.Use Get deposit for NGN and crypto deposits received through funding accounts.
Authentication
string
required
Your merchant API key
Path Parameters
string
required
Virtual account deposit ID in UUID format.Example:
9c4e8400-e29b-41d4-a716-446655440000Request Examples
curl --request GET \
--url https://api.daya.co/v1/virtual-account-deposits/9c4e8400-e29b-41d4-a716-446655440000 \
--header 'X-Api-Key: YOUR_API_KEY'
const response = await fetch(
'https://api.daya.co/v1/virtual-account-deposits/9c4e8400-e29b-41d4-a716-446655440000',
{
headers: {
'X-Api-Key': 'YOUR_API_KEY'
}
}
);
const deposit = await response.json();
Response
Returns a virtual account deposit object. See List virtual account deposits for the full field list.Success Response
{
"id": "9c4e8400-e29b-41d4-a716-446655440000",
"type": "USD_DEPOSIT",
"va_deposit_id": "9c4e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "1175.00",
"currency": "USD",
"settled_amount": "1172.65",
"settled_currency": "USD",
"source_amount": "1000.00",
"source_currency": "EUR",
"fx_rate": "1.175",
"payment_rail": "sepa",
"sender": {
"name": "Jane Doe",
"account_number": "****13000",
"bank_name": "Example Bank"
},
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"fees": {
"deposit_fee": { "amount": "2.35", "currency": "USD" },
"total_fee_usd": "2.35"
},
"developer_fee": {
"percentage": "1.5",
"amount": "17.58975",
"currency": "USD"
},
"customer_amount": {
"amount": "1155.06025",
"currency": "USD"
},
"created_at": "2026-01-14T17:00:00Z",
"updated_at": "2026-01-14T17:01:30Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "Deposit not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}